gi-gdkpixbuf-2.0.32: GdkPixbuf bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkPixbuf.Flags

Contents

- Flags
  - PixbufFormatFlags

Description

Synopsis

- data PixbufFormatFlags
  - = PixbufFormatFlagsWritable
  - | PixbufFormatFlagsScalable
  - | PixbufFormatFlagsThreadsafe
  - | AnotherPixbufFormatFlags Int

# Flags

## PixbufFormatFlags

data PixbufFormatFlags Source #

Flags which allow a module to specify further details about the supported operations.

Since: 2.2

Constructors

PixbufFormatFlagsWritable | the module can write out images in the format.
PixbufFormatFlagsScalable | the image format is scalable
PixbufFormatFlagsThreadsafe | the module is threadsafe. gdk-pixbuf ignores modules that are not marked as threadsafe. (Since 2.28).
AnotherPixbufFormatFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum PixbufFormatFlags Source # |

Instance details

Defined in GI.GdkPixbuf.Flags

Methods

succ :: PixbufFormatFlags -> PixbufFormatFlags Source #

pred :: PixbufFormatFlags -> PixbufFormatFlags Source #

toEnum :: Int -> PixbufFormatFlags Source #

fromEnum :: PixbufFormatFlags -> Int Source #

enumFrom :: PixbufFormatFlags -> [PixbufFormatFlags] Source #

enumFromThen :: PixbufFormatFlags -> PixbufFormatFlags -> [PixbufFormatFlags] Source #

enumFromTo :: PixbufFormatFlags -> PixbufFormatFlags -> [PixbufFormatFlags] Source #

enumFromThenTo :: PixbufFormatFlags -> PixbufFormatFlags -> PixbufFormatFlags -> [PixbufFormatFlags] Source #

Show PixbufFormatFlags Source # |
Instance details Defined in GI.GdkPixbuf.Flags Methods showsPrec :: Int -> PixbufFormatFlags -> ShowS Source # show :: PixbufFormatFlags -> String Source # showList :: [PixbufFormatFlags] -> ShowS Source #
Eq PixbufFormatFlags Source # |
Instance details Defined in GI.GdkPixbuf.Flags Methods (==) :: PixbufFormatFlags -> PixbufFormatFlags -> Bool Source # (/=) :: PixbufFormatFlags -> PixbufFormatFlags -> Bool Source #
Ord PixbufFormatFlags Source # |

Instance details

Defined in GI.GdkPixbuf.Flags

Methods

compare :: PixbufFormatFlags -> PixbufFormatFlags -> Ordering Source #

(<) :: PixbufFormatFlags -> PixbufFormatFlags -> Bool Source #

(<=) :: PixbufFormatFlags -> PixbufFormatFlags -> Bool Source #

(>) :: PixbufFormatFlags -> PixbufFormatFlags -> Bool Source #

(>=) :: PixbufFormatFlags -> PixbufFormatFlags -> Bool Source #

max :: PixbufFormatFlags -> PixbufFormatFlags -> PixbufFormatFlags Source #

min :: PixbufFormatFlags -> PixbufFormatFlags -> PixbufFormatFlags Source #

IsGFlag PixbufFormatFlags Source # |
Instance details Defined in GI.GdkPixbuf.Flags